summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/ltsp-core/files/install.sh')
-rw-r--r--net-misc/ltsp-core/files/install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/net-misc/ltsp-core/files/install.sh b/net-misc/ltsp-core/files/install.sh
new file mode 100644
index 000000000000..357aaf09915e
--- /dev/null
+++ b/net-misc/ltsp-core/files/install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# This is meant to take over the work done by the install.sh files provided
+# with the ltsp downloads.
+
+SOURCE_DIR=$1
+DEST_DIR=$2
+
+if test x$SOURCE_DIR = x -o \! -d $SOURCE_DIR ; then
+ echo "*** Bad source dir!"
+ exit 1
+fi
+
+if test x$DEST_DIR = x -o \! -d $SOURCE_DIR ; then
+ echo "*** Bad dest dir!"
+ exit 1
+fi
+
+# do the actual copy
+
+find $SOURCE_DIR -print | cpio -pmud --quiet $DEST_DIR
+RS=$?
+if test $RS -ne 0 ; then
+ echo "*** ERROR COPYING $SOURCE_DIR to $DEST_DIR"
+ exit 1
+fi
+
+